Index: unk/psconfig/ckperlmods
===================================================================
--- /trunk/psconfig/ckperlmods	(revision 12141)
+++ 	(revision )
@@ -1,102 +1,0 @@
-#!/usr/bin/env perl
-
-$version = "";
-$check = 0;
-@tARGV = ();
-for (; @ARGV > 0; ) {
-    if ($ARGV[0] eq "-version") {
-	$version = $ARGV[1];
-        shift; shift; next;
-    }
-    if ($ARGV[0] eq "-check") {
-	$check = 1;
-        shift; next;
-    }
-    if ($ARGV[0] eq "-h")     { &usage (); }
-    if ($ARGV[0] eq "-help")  { &usage (); }
-    if ($ARGV[0] eq "--help") { &usage (); }
-    @tARGV = (@tARGV, $ARGV[0]);
-    shift;
-}
-@ARGV = @tARGV;
-if ( @ARGV != 0) { &usage (); }
-
-# load the perl module list
-$file = "tagsets/ipp-extperl.dst";
-open (FILE, $file) || die "ERROR: can't open perl module list: $file\n";
-@list = <FILE>;
-close (FILE);
-
-# set the psconfig version:
-if ("$version" eq "") {
-    $version = $ENV{'PSVERSION'};
-}
-if ("$version" eq "") {
-    $version = "default";
-}
-
-print "version: $version\n";
-
-$prefix = `csh -f psconfig.sh --prefix $version`; chomp $prefix;
-$perldir = `csh -f psconfig.sh --perldir $version`; chomp $perldir;
-$homedir = `pwd`; chomp $homedir;
-
-print "prefix: $prefix\n";
-print "perldir: $perldir\n";
-print "PERL5LIB: $ENV{'PERL5LIB'}\n";
-
-foreach $line (@list) {
-    chop $line;
-    if ($line =~ m|^\s*$|) { next; }
-    if ($line =~ m|^\s*\#|) { next; }
-
-    ($N, $module, $tarball, $prompts) = split (" ", $line);
-    
-    system ("ckmodule.pl $module");
-    if ($? == 0) { 
-	# print "$module: found\n";
-	next; 
-    }
-
-    print "$module: missing\n";
-    if ($check) { next; }
-
-    # try to build the module from ../../extperl/Module.*.tar.gz
-    chdir "../../extperl";
-
-    print "extract $module from $tarball\n";
-    vsystem ("tar xvzf $tarball");
-    
-    ($tardir) = $tarball =~ m|(\S*).tar.gz|;
-    print "tardir: $tardir\n";
-
-    chdir $tardir;
-
-    # build the MakeMaker makefile, setting the output directories
-    if ($prompts) {
-	@answers = split (",", $prompts);
-	open (PIPE, "|perl Makefile.PL PREFIX=$prefix LIB=$perldir");
-	foreach $answer (@answers) {
-	    print PIPE "$answer\n";
-	}
-	close (PIPE);
-    } else {
-	vsystem ("perl Makefile.PL PREFIX=$prefix LIB=$perldir");
-    }
-    
-    vsystem ("make < /dev/null");
-    vsystem ("make install");
-
-    chdir $homedir;
-}
-
-sub usage {
-    print STDERR "USAGE: ckperlmods [-version] [-check]\n";
-    exit 2;
-}
-
-sub vsystem {
-    print STDERR "@_\n";
-    $status = system ("@_");
-    $status;
-}
Index: unk/psconfig/mkbuild
===================================================================
--- /trunk/psconfig/mkbuild	(revision 12141)
+++ 	(revision )
@@ -1,265 +1,0 @@
-#!/usr/bin/env perl
-
-$tagsets = "tagsets";
-
-$version = "";
-$clean = 0;
-$rebuild = 0;
-$optimize = 0;
-$start = "";
-$stop = "";
-$verbose = 0;
-
-@tARGV = ();
-for (; @ARGV > 0; ) {
-    if ($ARGV[0] eq "-version") {
-	$version = $ARGV[1];
-        shift; shift; next;
-    }
-    if ($ARGV[0] eq "-verbose") {
-	$verbose = 1;
-        shift; next;
-    }
-    if ($ARGV[0] eq "-clean") {
-	$clean = 1;
-        shift; next;
-    }
-    if ($ARGV[0] eq "-rebuild") {
-	$rebuild = 1;
-        shift; next;
-    }
-    if ($ARGV[0] eq "-optimize") {
-	$optimize = 1;
-        shift; next;
-    }
-    if ($ARGV[0] eq "-only") {
-	$start = $ARGV[1];
-	$stop = $ARGV[1];
-        shift; shift; next;
-    }
-    if ($ARGV[0] eq "-start") {
-	$start = $ARGV[1];
-        shift; shift; next;
-    }
-    if ($ARGV[0] eq "-stop") {
-	$stop = $ARGV[1];
-        shift; shift; next;
-    }
-    if ($ARGV[0] eq "-list") {
-	&list_distributions ();
-    }
-    if ($ARGV[0] eq "-h")     { &usage (); }
-    if ($ARGV[0] eq "-help")  { &usage (); }
-    if ($ARGV[0] eq "--help") { &usage (); }
-    @tARGV = (@tARGV, $ARGV[0]);
-    shift;
-}
-@ARGV = @tARGV;
-
-if ( @ARGV != 1) { &usage (); }
-
-$distribution = $ARGV[0];
-&load_distfile ();
-
-&build_distribution ();
-exit 0;
-
-sub build_distribution {
-    
-    # use psconfig.sh to set needed build aliases
-
-    # set the psconfig version:
-    if ("$version" eq "") {
-	$version = $ENV{'PSVERSION'};
-    }
-    if ("$version" eq "") {
-	$version = "default";
-    }
-
-    $psconfigure = `csh psconfig.sh --psconfigure $version`;
-    $psautogen   = `csh psconfig.sh --psautogen $version`;
-    $psperlbuild = `csh psconfig.sh --psperlbuild $version`;
-
-    print "psconfigure: $psconfigure\n";
-    print "psautogen:   $psautogen\n";
-    print "psperlbuild: $psperlbuild\n";
-
-    # set build environment variables
-    ps_setenv ("PATH", 		  "--path");
-    ps_setenv ("ARCH", 		  "--arch");
-    ps_setenv ("LD_LIBRARY_PATH", "--ld_library_path");
-    ps_setenv ("PKG_CONFIG_PATH", "--pkg_config_path");
-    ps_setenv ("ACLOCAL_FLAGS",   "--aclocal_flags");
-    ps_setenv ("PERL5LIB",        "--perl5lib");
-
-    print STDERR "ENV: $ENV{'PATH'}\n";
-
-    $psopts = "";
-    if ($optimize) { $psopts = "$psopts --enable-optimize"; }
-
-    $homedir = `pwd`; chomp $homedir;
-
-    for ($i = 0; $i < @cvsname; $i++) {
-	if (($start ne "") && ($start ne $cvsname[$i])) { next; }
-	$start = "";
-
-	($do_tag, $do_build, $do_package, $do_update) = $mode[$i] =~ m|(\S)(\S)(\S)(\S)|;
-	if ($do_build eq "N") { next; }
-
-	$workdir = "../$cvsname[$i]";
-	print "workdir: $workdir\n";
-	chdir $workdir;
-	
-	# XXX need to grab current value for cleanup
-	print "\n ** psbuild: $cvsname[$i] ** \n";
-	print "\033]0; ** psbuild: $cvsname[$i] ** \007";
-
-	# how do we build this component?
-	# - autogen.sh : configure : make : make install
-	# - configure : make : make install
-	# - make : make install
-	# - perl Build.PL : ./Build : ./Build install
- 
-	if (-e "Build.PL") {
-	    vsystem ("$psperlbuild");
-	    if ($?) { &failure($cvsname[$i], "failure in perl Build.PL"); }
-
-	    vsystem ("./Build");
-	    if ($?) { &failure($cvsname[$i], "failure in Build"); }
-
-	    vsystem ("./Build install");
-	    if ($?) { &failure($cvsname[$i], "failure in Build install"); }
-	    
-	    next;
-	}
-
-	if ($rebuild && $clean) {
-	    if (-e "configure") { unlink "Makefile"; }
-	    if (-e "configure.ac" && -e "autogen.sh") { unlink "configure"; }
-	}
-	$rebuild_this = $rebuild;
-
-	# set a local variable for this loop on rebuild;
-	if (! -e "Makefile") { $rebuild_this = 1; }
-
-	#  run autogen
-	$skip_configure = 0;
-	if ($rebuild_this && ! -e "configure" && -e "autogen.sh") {
-	    $skip_configure = 1;
-	    vsystem ("$psautogen $psopts");
-	    if ($?) { &failure($cvsname[$i], "failure in psautogen"); }
-	}
-
-	if ($rebuild_this && -e "configure" && !$skip_configure) {
-	    vsystem ("$psconfigure $psopts");
-	    if ($?) { &failure($cvsname[$i], "failure in psconfigure"); }
-	}
-
-	if (! -e "Makefile") { &failure($cvsname[$i], "missing makefile"); }
-
-	if ($clean) { 
-	    vsystem ("make clean");
-	    if ($?) { &failure($cvsname[$i], "failure in make clean"); }
-	}
-
-	vsystem ("make");
-	if ($?) { &failure($cvsname[$i], "failure in make"); }
-
-	vsystem ("make install");
-	if ($?) { &failure($cvsname[$i], "failure in make install"); }
-
-	print "*** done with $cvsname[$i] ***\n";
-
-      success:
-	chdir $homedir;
-	if (($stop ne "") && ($stop eq $cvsname[$i])) { last; }
-    }
-
-    exit 0;
-}
-
-sub vsystem {
-    print STDERR "@_\n";
-    $status = system ("@_");
-    $status;
-}
-
-sub list_distributions {
-    @list = <$tagsets/*.dst>;
-    foreach $line (@list) {
-	chomp $line;
-	($dist) = $line =~ m|$tagsets/(\S*).dst|;
-	print STDERR "$dist\n";
-    }
-    exit 2;
-}
-
-sub load_distfile {
-    # open and read the distribution file
-    # results go into @cvsname, @branchtag, @branchver, @mode
-    $file = "$tagsets/$ARGV[0].dst";
-    open (FILE, $file) || die "ERROR: can't open distribution file $file\n";
-    @list = <FILE>;
-    close (FILE);
-
-    @mode = ();
-    @cvsname = ();
-    @branchtag = ();
-    @branchver = ();
-
-    foreach $line (@list) {
-	chop $line;
-	if ($line =~ m|^\s*$|) { next; }
-	if ($line =~ m|^\s*\#|) { next; }
-
-	($mode, $cvsname, $branchtag, $branchver) = split (" ", $line);
-	
-	if ($cvsname eq "") { die "missing module name\n"; }
-
-	($do_tag, $do_build, $do_package, $do_update) = $mode =~ m|(\S)(\S)(\S)(\S)|;
-	if (($do_tag ne "Y") && ($do_tag ne "N")) { die "invalid tag option $do_tag\n"; }
-	if (($do_build ne "Y") && ($do_build ne "N")) { die "invalid tag option $do_build\n"; }
-	if (($do_package ne "Y") && ($do_package ne "N")) { die "invalid tag option $do_package\n"; }
-	if (($do_update ne "Y") && ($do_update ne "N")) { die "invalid tag option $do_update\n"; }
-	
-	if ($verbose) { print "tag: $do_tag, build: $do_build, package: $do_package, update: $do_update "; }
-	if ($verbose) { print "module: $cvsname, branchtag: $branchtag, branchver: $branchver \n"; }
-
-	push @mode, $mode;
-	push @cvsname, $cvsname;
-	push @branchtag, $branchtag;
-	push @branchver, $branchver;
-    }
-}
-
-sub failure {
-    die "problem building $_[0] : $_[1]\n";
-}
-
-sub usage {
-    print STDERR "USAGE: psbuild [options] (distribution)\n";
-    print STDERR "     : -version (version) : specify alternate psconfig installation version\n";
-    print STDERR "     : -clean             : clean the source directories before building\n";
-    print STDERR "     : -rebuild           : run 'autogen' (C code)\n";
-    print STDERR "     : -optimize          : set flags for optimized code\n";
-    print STDERR "     : -only (module)     : only build the specified module\n";
-    print STDERR "     : -start (module)    : begin build at specified module\n";
-    print STDERR "     : -stop (module)     : stop build after specified module\n\n";
-    print STDERR "     : psbuild -list      : list the available distributions\n";
-    print STDERR "     : psbuild -h         : this help listing\n";
-    print STDERR "     : psbuild -help      : this help listing\n";
-    print STDERR "     : psbuild --help     : this help listing\n";
-    exit 2;
-}
-
-sub ps_setenv {
-
-    my $var = $_[0];
-    my $flag = $_[1];
-
-    my $answer = `csh psconfig.sh $flag $version`;
-    chomp $answer;
-
-    $ENV{$var} = $answer;
-}
-
Index: unk/psconfig/mkdist
===================================================================
--- /trunk/psconfig/mkdist	(revision 12141)
+++ 	(revision )
@@ -1,194 +1,0 @@
-#!/usr/bin/env perl
-
-$tagsets = "tagsets";
-
-$cvs  = 0;
-$diff = 0;
-$settag = 0;
-$deltag = 0;
-$setbranch = 0;
-$setdevtag = 0;
-$module = "";
-@tARGV = ();
-for (; @ARGV > 0; ) {
-    if ($ARGV[0] eq "-diff") {
-	$diff = 1;
-        shift; next;
-    }
-    if ($ARGV[0] eq "-tag") {
-	$settag = 1;
-        shift; next;
-    }
-    if ($ARGV[0] eq "-branch") {
-	$setbranch = 1;
-        shift; next;
-    }
-    if ($ARGV[0] eq "-devtag") {
-	$setdevtag = 1;
-        shift; next;
-    }
-    if ($ARGV[0] eq "-cvs") {
-	$cvs = 1;
-        shift; next;
-    }
-    if ($ARGV[0] eq "-module") {
-        shift; 
-	$module = $ARGV[0];
-        shift; next;
-    }
-    if ($ARGV[0] eq "-list") {
-	&list_distributions ();
-    }
-    if ($ARGV[0] eq "-h")     { &usage (); }
-    if ($ARGV[0] eq "-help")  { &usage (); }
-    if ($ARGV[0] eq "--help") { &usage (); }
-    @tARGV = (@tARGV, $ARGV[0]);
-    shift;
-}
-@ARGV = @tARGV;
-
-if ( @ARGV != 1) { &usage (); }
-
-$distribution = $ARGV[0];
-&load_distfile ();
-
-if ($diff) { &difflist (); }
-if ($settag) { &settags (); }
-
-&package_distribution ();
-
-sub vsystem {
-    print STDERR "@_\n";
-    #$status = system ("@_");
-    #$status;
-}
-
-sub difflist {
-
-    for ($i = 0; $i < @cvsname; $i++) {
-	# the base component cannot be rdiffed
-	print STDERR "--- $cvsname[$i] ---\n";
-	if ($cvsname[$i] eq "base") { next; }
-	if ($tag[$i] eq "") { next; }
-	&vsystem ("cvs -q rdiff -s -r $tag[$i] $cvsname[$i]");
-	print STDERR "\n\n";
-    }
-    exit 0;
-}
-
-sub settags {
-    print STDERR "setting tags\n";
-    for ($i = 0; $i < @cvsname; $i++) {
-	if (($module ne "") && ($module ne $cvsname[$i])) { next; }
-	($do_tag, $do_build, $do_package, $do_update) = $mode[$i] =~ m|(\S)(\S)(\S)(\S)|;
-	if ($do_tag eq "N") { 
-	    push @remind, $cvsname[$i];
-	    next; 
-	}
-	if ($branchtag[$i] eq "") { die "branch tag missing for $cvsname[$i]\n"; }
-	if ($branchver[$i] eq "") { die "branch tag version missing\n"; }
-	$tag = "$branchtag[$i]$branchver[$i]";
-	if ($setbranch) { 
-	    &vsystem ("cvs -q rtag -b $branchtag[$i] $cvsname[$i]");
-	    next;
-	} 
-	if ($setdevtag) {
-	    &vsystem ("cvs -q rtag $tag $cvsname[$i]");
-	    next;
-	}
-	&vsystem ("cvs -q rtag -r $branchtag[$i] $tag $cvsname[$i]");
-    }
-    for ($i = 0; $i < @remind; $i++) {
-	print STDERR "remember to set tag for $remind[$i] if needed\n";
-    }
-    exit 0;
-}
-
-sub package_distribution {
-    # package distribution into a tarball
-    mkdir $distribution;
-    chdir $distribution;
-    for ($i = 0; $i < @cvsname; $i++) {
-	if (($module ne "") && ($module ne $cvsname[$i])) { next; }
-	($do_tag, $do_build, $do_package, $do_update) = $mode[$i] =~ m|(\S)(\S)(\S)(\S)|;
-	if ($do_package eq "N") { next; }
-	if ($tag[$i] eq "HEAD") {
-	    &vsystem ("cvs co $cvsname[$i]");
-	    if ($status) { die "error running cvs"; }
-	} else {
-	    &vsystem ("cvs co -r $tag[$i] $cvsname[$i]");
-	    if ($status) { die "error running cvs"; }
-	}	
-    }
-    chdir "..";
-    if ($cvs) { exit 0; }
-
-    &vsystem ("rm -r `find $distribution -name CVS`");
-    if (! -e tarballs) { mkdir "tarballs"; }
-    &vsystem ("tar cvzf tarballs/$distribution.tgz  $distribution");
-    if ($status) { die "error creating tarball\n"; }
-    exit 0;
-}
-
-sub list_distributions {
-    @list = <$tagsets/*.dst>;
-    foreach $line (@list) {
-	chomp $line;
-	($dist) = $line =~ m|$tagsets/(\S*).dst|;
-	print STDERR "$dist\n";
-    }
-    exit 2;
-}
-
-sub load_distfile {
-    # open and read the distribution file
-    # results go into @cvsname, @branchtag, @branchver, @mode
-    $file = "$tagsets/$ARGV[0].dst";
-    open (FILE, $file) || die "ERROR: can't open distribution file $file\n";
-    @list = <FILE>;
-    close (FILE);
-
-    @mode = ();
-    @cvsname = ();
-    @branchtag = ();
-    @branchver = ();
-
-    foreach $line (@list) {
-	chop $line;
-	if ($line =~ m|^\s*$|) { next; }
-	if ($line =~ m|^\s*\#|) { next; }
-
-	($mode, $cvsname, $branchtag, $branchver) = split (" ", $line);
-	
-	if ($cvsname eq "") { die "missing module name\n"; }
-
-	($do_tag, $do_build, $do_package, $do_update) = $mode =~ m|(\S)(\S)(\S)(\S)|;
-	if (($do_tag ne "Y") && ($do_tag ne "N")) { die "invalid tag option $do_tag\n"; }
-	if (($do_build ne "Y") && ($do_build ne "N")) { die "invalid tag option $do_build\n"; }
-	if (($do_package ne "Y") && ($do_package ne "N")) { die "invalid tag option $do_package\n"; }
-	if (($do_update ne "Y") && ($do_update ne "N")) { die "invalid tag option $do_update\n"; }
-	
-	print "module: $cvsname, branchtag: $branchtag, branchver: $branchver "; 
-	print "tag: $do_tag, build: $do_build, package: $do_package, update: $do_update\n";
-
-	push @mode, $mode;
-	push @cvsname, $cvsname;
-	push @branchtag, $branchtag;
-	push @branchver, $branchver;
-    }
-}
-
-sub usage {
-    print STDERR "USAGE: mkdist [options] (distribution]\n";
-    print STDERR "     : -tag     : set tags on branch based on distribution table\n";
-    print STDERR "     : -branch  : set branch tags based on distribution table (requires -tag)\n";
-    print STDERR "     : -devtag  : set tags on cvs HEAD based on distribution table (requires -tag)\n\n";
-
-    print STDERR "     : -tarball : make a distribution tarball\n";
-    print STDERR "     : -cvs     : check out tree and leave CVS elements behind\n";
-    print STDERR "     : -module  : perform action only on the specified module\n\n";
-    print STDERR "     : -list    : list valid distributions \n\n";
-    print STDERR "     : -diff    : show the difference between the distribution and current cvs HEAD\n";
-    exit 2;
-}
-
Index: /trunk/psconfig/psbuild
===================================================================
--- /trunk/psconfig/psbuild	(revision 12141)
+++ /trunk/psconfig/psbuild	(revision 12142)
@@ -186,8 +186,8 @@
 
 sub list_distributions {
-    @list = <$tagsets/*.dst>;
+    @list = <$tagsets/*.dist>;
     foreach $line (@list) {
 	chomp $line;
-	($dist) = $line =~ m|$tagsets/(\S*).dst|;
+	($dist) = $line =~ m|$tagsets/(\S*).dist|;
 	print STDERR "$dist\n";
     }
@@ -198,5 +198,5 @@
     # open and read the distribution file
     # results go into @cvsname, @branchtag, @branchver, @mode
-    $file = "$tagsets/$ARGV[0].dst";
+    $file = "$tagsets/$ARGV[0].dist";
     open (FILE, $file) || die "ERROR: can't open distribution file $file\n";
     @list = <FILE>;
Index: /trunk/psconfig/pschecklibs
===================================================================
--- /trunk/psconfig/pschecklibs	(revision 12142)
+++ /trunk/psconfig/pschecklibs	(revision 12142)
@@ -0,0 +1,244 @@
+#!/bin/csh -f
+
+# this scripts searches for the needed libraries in standard locations and in the 
+# current psconfig installation tree
+
+set version = ""
+set args = ""
+while ("$1" != "") 
+ switch ("$1")
+  case -version:
+   shift
+   set version = $1
+   breaksw
+  case --help:
+   goto usage
+  case -*: 
+   echo ""
+   echo "Unknown option: $1"
+   goto usage
+  default:
+   set args=($args $1);
+   breaksw;
+ endsw
+ shift
+end
+if ($#args != 1) goto usage
+
+# set supplied PSVERSION
+if ("$version" != "") then
+  setenv PSVERSION $version
+endif
+
+# set paths for PSVERSION
+set libdir  = `source psconfig.sh --libs $PSVERSION`
+set incdir  = `source psconfig.sh --include $PSVERSION`
+
+# I supplement this list with LD_LIBRARY_PATH below
+set syslibpath = "/lib /usr/lib /usr/X11R6/lib /usr/openwin/lib /usr/local/lib"
+set needlibs   = ""
+set needlibs   = "$needlibs png"
+set needlibs   = "$needlibs z"
+set needlibs   = "$needlibs jpeg"
+set needlibs   = "$needlibs readline"
+set needlibs   = "$needlibs X11"
+set needlibs   = "$needlibs pthread"
+set needlibs   = "$needlibs cfitsio"
+set needlibs   = "$needlibs mysqlclient"
+set needlibs   = "$needlibs gsl"
+set needlibs   = "$needlibs xml2"
+set needlibs   = "$needlibs fftw3"
+set needlibs   = "$needlibs fftw3f"
+set needlibs   = "$needlibs m"
+
+# /usr/local/include/libpng is really pretty lame...
+set sysincpath = "/usr/include /usr/local/include /usr/X11R6/include /usr/openwin/include /usr/local/include/libpng"
+
+set needincs = ""
+set needincs = "$needincs X11/Xatom.h"
+set needincs = "$needincs X11/Xlib.h"
+set needincs = "$needincs X11/Xresource.h"
+set needincs = "$needincs X11/Xutil.h"
+set needincs = "$needincs X11/cursorfont.h"
+set needincs = "$needincs X11/keysym.h"
+set needincs = "$needincs X11/keysymdef.h"
+set needincs = "$needincs arpa/inet.h"
+set needincs = "$needincs assert.h"
+set needincs = "$needincs complex.h"
+set needincs = "$needincs ctype.h"
+set needincs = "$needincs errno.h"
+set needincs = "$needincs fcntl.h"
+set needincs = "$needincs fitsio.h"
+set needincs = "$needincs glob.h"
+set needincs = "$needincs gsl/gsl_randist.h"
+set needincs = "$needincs gsl/gsl_rng.h"
+set needincs = "$needincs inttypes.h"
+set needincs = "$needincs jpeglib.h"
+set needincs = "$needincs limits.h"
+set needincs = "$needincs malloc.h"
+set needincs = "$needincs math.h"
+set needincs = "$needincs memory.h"
+set needincs = "$needincs netdb.h"
+set needincs = "$needincs netinet/ip.h"
+set needincs = "$needincs png.h"
+set needincs = "$needincs pthread.h"
+set needincs = "$needincs readline/history.h"
+set needincs = "$needincs readline/readline.h"
+set needincs = "$needincs regex.h"
+set needincs = "$needincs signal.h"
+set needincs = "$needincs stdint.h"
+set needincs = "$needincs stdio.h"
+set needincs = "$needincs stdlib.h"
+set needincs = "$needincs string.h"
+set needincs = "$needincs sys/ipc.h"
+set needincs = "$needincs sys/resource.h"
+set needincs = "$needincs sys/sem.h"
+set needincs = "$needincs sys/socket.h"
+set needincs = "$needincs sys/stat.h"
+set needincs = "$needincs sys/time.h"
+set needincs = "$needincs sys/types.h"
+set needincs = "$needincs sys/uio.h"
+set needincs = "$needincs sys/un.h"
+set needincs = "$needincs sys/wait.h"
+set needincs = "$needincs time.h"
+set needincs = "$needincs unistd.h"
+set needincs = "$needincs values.h"
+set needincs = "$needincs zlib.h"
+
+# XXX need to have options for non-ANSI includes? (ie, varargs.h)
+# set needincs = "$needincs libxml/parser.h"
+# set needincs = "$needincs cfuncs.h" - from non-ANSI option in ohana.h
+# set needincs = "$needincs float.h" - is from missing_proto (CFHT)
+# set needincs = "$needincs floatingpoint.h" - is from missing_proto (CFHT)
+# set needincs = "$needincs stdarg.h" - from std includes (in gcc path)
+# set needincs = "$needincs varargs.h" - from std includes (in gcc path)
+# set needincs = "$needincs stdbool.h" - from std includes (in gcc path) ?
+
+# check the hardware architecture:
+set sys=`uname -s` 
+set ranlib = "ranlib"
+switch ($sys)
+ case IRIX64:
+   set arch="irix";
+   breaksw;
+ case SunOS:
+   set ver=`uname -r | awk '{print substr($1,1,1)}'`;
+   if ($ver == 5) then
+     set arch="sol";
+   else 
+     set arch="sun4";
+   endif
+   # sun (at least) seems to need the socket library (linux does not)
+   set needlibs = "$needlibs libsocket libnsl"
+   set ranlib = "touch"
+   breaksw;
+ case Linux:
+   set arch="linux";
+   if (-e /etc/sidious.config) set arch="sid";
+   set mach=`uname -m`
+   if ("$mach" == "x86_64") then
+    set arch="lin64";
+    set syslibpath = "/lib64 /usr/lib64 /usr/X11R6/lib64 $syslibpath"
+   endif
+   breaksw;
+ case HP-UX:
+    set arch="hpux";
+    breaksw;
+ default:
+   echo "unknown architecture";
+   exit 1;
+   breaksw;
+endsw
+echo "setting architecture to: $arch" 
+
+# add the LD_LIBRARY_PATH
+if ($?LD_LIBRARY_PATH) then 
+  set libpath = `echo $LD_LIBRARY_PATH | tr ':' ' '`
+else
+  set libpath = ""
+endif
+
+# check for basic libraries
+echo ""
+echo "searching for needed external libraries..."
+set faillibs = ""
+set libflags = ""
+set libdirs  = ""
+set nonomatch
+foreach f ( $needlibs )
+    foreach g ( $syslibpath $libdir $libpath )
+        if (! -e $g) continue
+	set name = $g/lib$f.a
+	if (-e $name[1]) goto got_lib;
+	set name = $g/lib$f.so*
+	if (-e $name[1]) goto got_lib;
+    end
+    echo "missing lib$f"
+    set faillibs = "$faillibs lib$f"
+    continue
+got_lib:
+    echo "found lib$f ($name[$#name])"
+end
+
+# we need a curses library; can choose one of the following:
+# check for termcap, curses, etc
+foreach f ( ncurses curses termcap )
+    foreach g ( $syslibpath $libdir $libpath )
+	set name = $g/lib$f.a
+	if (-e $name[1]) goto got_curses;
+	set name = $g/lib$f.so*
+	if (-e $name[1]) goto got_curses;
+    end
+end
+set faillibs = "$faillibs (ncurses | curses | termcap)"
+echo "missing a valid curses library"
+echo "missing: $faillibs"
+echo "please find one of them and install them in $lib"
+exit 1
+
+got_curses:
+  echo "found $f ($name[$#name])"
+
+if ("$faillibs" != "") then
+  echo "your installation is missing some important libraries"
+  echo "missing: $faillibs"
+  echo "please find them and install them in $lib"
+  exit 1
+endif    
+
+# check for headers
+echo ""
+echo "searching for needed external header files..."
+set failincs = ""
+set incdirs = ""
+foreach f ( $needincs )
+  foreach g ( $sysincpath $incdir )
+    set name = "$g/$f"
+    if (-e $name) goto got_inc;
+  end
+  echo "missing $f"
+  set failincs = "$failincs $f"
+  continue
+got_inc:
+  echo "found $f ($name)"
+end
+
+if ("$failincs" != "") then
+  echo "your installation is missing some important library headers"
+  echo "please find them and install them in $inc"
+  exit 1
+endif    
+
+exit 0
+
+usage:
+cat <<EOF
+USAGE: pschecklibs
+
+searches for needed libraries and include files in system and psconfig installation directories
+
+Additional options
+  -h, --help              display this help and exit
+
+EOF
+ exit 2;
Index: /trunk/psconfig/pscheckperl
===================================================================
--- /trunk/psconfig/pscheckperl	(revision 12142)
+++ /trunk/psconfig/pscheckperl	(revision 12142)
@@ -0,0 +1,136 @@
+#!/usr/bin/env perl
+
+$tagsets = "tagsets";
+
+$version = "";
+$check = 1;
+@tARGV = ();
+for (; @ARGV > 0; ) {
+    if ($ARGV[0] eq "-version") {
+	$version = $ARGV[1];
+        shift; shift; next;
+    }
+    if ($ARGV[0] eq "-build") {
+	$check = 0;
+        shift; next;
+    }
+    if ($ARGV[0] eq "-h")     { &usage (); }
+    if ($ARGV[0] eq "help")   { &usage (); }
+    if ($ARGV[0] eq "-help")  { &usage (); }
+    if ($ARGV[0] eq "--help") { &usage (); }
+    if ($ARGV[0] eq "-list")  { &list_distributions(); }
+    @tARGV = (@tARGV, $ARGV[0]);
+    shift;
+}
+@ARGV = @tARGV;
+if ( @ARGV > 1) { &usage(); }
+
+if ( @ARGV == 0) { 
+    @list = <$tagsets/*.perl>;
+    $file = $list[-1];
+} else {
+    $file = $ARGV[0];
+}
+print "examining perl modules based on $file\n";
+
+# load the perl module list
+open (FILE, $file) || die "ERROR: can't open perl module list: $file\n";
+@list = <FILE>;
+close (FILE);
+
+# set the psconfig version:
+if ("$version" eq "") {
+    $version = $ENV{'PSVERSION'};
+}
+if ("$version" eq "") {
+    $version = "default";
+}
+
+
+$prefix = `csh -f psconfig.sh --prefix $version`; chomp $prefix;
+$perldir = `csh -f psconfig.sh --perldir $version`; chomp $perldir;
+$homedir = `pwd`; chomp $homedir;
+
+print "psconfig version: $version\n";
+print "prefix: $prefix\n";
+print "perldir: $perldir\n";
+print "PERL5LIB: $ENV{'PERL5LIB'}\n";
+
+$Nmissing = 0;
+foreach $line (@list) {
+    chop $line;
+    if ($line =~ m|^\s*$|) { next; }
+    if ($line =~ m|^\s*\#|) { next; }
+
+    ($N, $module, $tarball, $prompts) = split (" ", $line);
+    
+    system ("ckmodule.pl $module");
+    if ($? == 0) { 
+	# print "$module: found\n";
+	next; 
+    }
+
+    print "$module: missing\n";
+    if ($check) { 
+	$Nmissing ++;
+	next; 
+    }
+
+    # try to build the module from ../../extperl/Module.*.tar.gz
+    chdir "../../extperl";
+
+    print "extract $module from $tarball\n";
+    vsystem ("tar xvzf $tarball");
+    
+    ($tardir) = $tarball =~ m|(\S*).tar.gz|;
+    print "tardir: $tardir\n";
+
+    chdir $tardir;
+
+    # build the MakeMaker makefile, setting the output directories
+    if ($prompts) {
+	@answers = split (",", $prompts);
+	open (PIPE, "|perl Makefile.PL PREFIX=$prefix LIB=$perldir");
+	foreach $answer (@answers) {
+	    print PIPE "$answer\n";
+	}
+	close (PIPE);
+    } else {
+	vsystem ("perl Makefile.PL PREFIX=$prefix LIB=$perldir");
+    }
+    
+    vsystem ("make < /dev/null");
+    vsystem ("make install");
+
+    chdir $homedir;
+}
+if ($check) {
+    if ($Nmissing > 0) {
+	print "$Nmissing perl modules are missing from your system\n";
+	print "you may install them in your local path by re-running psperlmods with -build\n";
+    } else {
+	print "no perl modules are missing from your system\n";
+    }
+}
+exit 0;
+
+sub usage {
+    print STDERR "USAGE: ckperlmods [-version] [-build]\n";
+    exit 2;
+}
+
+sub vsystem {
+    print STDERR "@_\n";
+    $status = system ("@_");
+    $status;
+}
+
+sub list_distributions {
+    @list = <$tagsets/*.perl>;
+    foreach $line (@list) {
+	chomp $line;
+	($dist) = $line =~ m|$tagsets/(\S*).perl|;
+	print STDERR "$dist\n";
+    }
+    exit 2;
+}
Index: /trunk/psconfig/psconfig.sh
===================================================================
--- /trunk/psconfig/psconfig.sh	(revision 12141)
+++ /trunk/psconfig/psconfig.sh	(revision 12142)
@@ -8,4 +8,5 @@
 set show_arch = 0
 set show_path = 0
+set show_include = 0
 set show_configure = 0
 set show_autogen = 0
@@ -35,4 +36,7 @@
       set show_bin = 1
       breaksw
+    case --include
+      set show_include = 1
+      breaksw
     case --psconfigure:
       set show_configure = 1
@@ -306,4 +310,8 @@
   exit 0
 endif
+if ($show_include) then
+  echo $PSCONFDIR/$PSVERSION.$ARCH/include
+  exit 0
+endif
 
 # list the defined psconfig versions
Index: /trunk/psconfig/psdist
===================================================================
--- /trunk/psconfig/psdist	(revision 12141)
+++ /trunk/psconfig/psdist	(revision 12142)
@@ -212,8 +212,8 @@
 
 sub list_distributions {
-    @list = <$tagsets/*.dst>;
+    @list = <$tagsets/*.dist>;
     foreach $line (@list) {
 	chomp $line;
-	($dist) = $line =~ m|$tagsets/(\S*).dst|;
+	($dist) = $line =~ m|$tagsets/(\S*).dist|;
 	print STDERR "$dist\n";
     }
@@ -224,5 +224,5 @@
     # open and read the distribution file
     # results go into @cvsname, @branchtag, @branchver, @mode
-    $file = "$tagsets/$ARGV[0].dst";
+    $file = "$tagsets/$ARGV[0].dist";
     open (FILE, $file) || die "ERROR: can't open distribution file $file\n";
     @list = <FILE>;
Index: unk/psconfig/pstag
===================================================================
--- /trunk/psconfig/pstag	(revision 12141)
+++ 	(revision )
@@ -1,66 +1,0 @@
-#!/bin/tcsh
-
-set args=""
-while ($#argv)
- switch ($1)
-  default:
-   set args=($args $1);
-   breaksw;
- endsw
- shift
-end
-
-if ($#args != 1) goto usage
-if ("$args" == "") goto usage
-
-set group   = $args[1]
-set tagsets = tagsets/$group
-
-if (! -e $tagsets) then
-  echo "target $group not found in tagsets"
-  exit 2
-endif
-
-foreach target (`cat $tagsets | grep -v \#`)
- set name = `echo $target | tr ':' ' '`
- set dir = $name[1]
- set tag = $name[2]
-
- set current = `pwd`
- cd ../$dir
- 
- echo ""
- echo "***** updating $name ($target) *****"
- pwd
-
- switch ($tag)
-  case HEAD:
-   echo "HEAD is not a valid tag"
-   goto failure;
-   breaksw;
-  case NONE:
-   breaksw;
-  default:
-   cvs tag $tag $dir
-   if ($status) goto failure;
-   breaksw;
- endsw
-
- success:
- cd $current
-end
-
-exit 0
-
-usage:
-  echo "USAGE: pstag (group)"
-  echo " applies the tags defined in the group file"
-  echo " tags may not be HEAD"
-  exit 2
-
-failure:
-  echo "pstag failed"
-  echo "target: $target"
-  echo "dir: $dir"
-  echo "tag: $tag"
-  exit 2
Index: unk/psconfig/tagsets/ipp-1.0.build
===================================================================
--- /trunk/psconfig/tagsets/ipp-1.0.build	(revision 12141)
+++ 	(revision )
@@ -1,39 +1,0 @@
-
-# mode EXTERN means package cannot be tagged / updated in this tree
-# mode SKIP means exclude from the build process
-# model 
-
-Ohana:HEAD::EXTERN
-
-psLib:rel-1-0:0:EXTERN
-psModules:rel-1-0:0:EXTERN
-
-psphot:rel-0-8:0
-psastro:rel-0-8:0
-ppStats:rel-1-0:0
-ppImage:rel-1-0:0
-ppNorm:rel-1-0:0
-ppMerge:rel-1-0:0
-
-pois:rel-0-1:0:SKIP
-pswarp:rel-0-1:0:SKIP
-ppStac:rel-0-1:0:SKIP
-
-# these are the required perl modules from IPP
-# there are externally required perl modules (see README?)
-PS-IPP-Metadata-Config:rel-1-0:0
-PS-IPP-Config:rel-1-0:0
-ippScripts:rel-1-0:0
-
-glueforge:rel-1:0
-dbconfig:rel-1-0:0
-
-ippdb.src:NONE
-
-ippconfig:rel-1-0:0
-ippTools:rel-1-0:0
-ippTasks:rel-1-0:0
-simtest:rel-0-8:0
-
-psconfig:rel-1-0:0:SKIP
-ippMonitor:rel-1-0:0:SKIP
Index: /trunk/psconfig/tagsets/ipp-1.0.dist
===================================================================
--- /trunk/psconfig/tagsets/ipp-1.0.dist	(revision 12142)
+++ /trunk/psconfig/tagsets/ipp-1.0.dist	(revision 12142)
@@ -0,0 +1,53 @@
+# necessary fields:                    
+# |-- tag?
+# ||-- build?
+# |||-- package? 
+# ||||-- update?
+# ||||
+# ||||  CVS module     CVS branch tag   CVS branch version   
+# |||| 
+  NYNN  Ohana
+  NNYY  ohana.base     	base-1-5         -0
+  NNYY  libohana       	libohana-1-9     -0
+  NNYY  libfits        	libfits-1-7      -0
+  NNYY  libautocode    	libautocode-1-6  -0
+  NNYY  libdvo         	libdvo-1-4       -0
+  NNYY  libkapa        	libkapa-1-3      -0
+  NNYY  addstar        	addstar-1-8      -0
+  NNYY  delstar        	delstar-1-7      -0
+  NNYY  getstar        	getstar-1-3      -0
+  NNYY  kapa           	kapa-1-7         -0
+  NNYY  kii            	kii-1-7          -0
+  NNYY  relphot        	relphot-1-5      -0
+  NNYY  uniphot        	uniphot-1-5      -0
+  NNYY  opihi.base     	opihi-2-9        -0
+  NNYY  mana           	mana-1-7         -0
+  NNYY  dvo            	dvo-1-0          -0
+  NNYY  pantasks       	pantasks-1-0     -0
+  NNYY  pcontrol       	pcontrol-1-0     -0
+  NNYY  pclient        	pclient-1-0      -0
+  NYYY  psLib          	rel-1-0          -0
+  NYYY  psModules      	rel-1-0          -0
+  YYYY  psphot         	rel-0-8          -0
+  YYYY  psastro        	rel-0-8          -0
+  YYYY  ppStats        	rel-1-0          -0
+  YYYY  ppImage        	rel-1-0          -0
+  YYYY  ppNorm         	rel-1-0          -0
+  YYYY  ppMerge        	rel-1-0          -0
+  YNYY  pois           	rel-0-1          -0
+  YNYY  pswarp         	rel-0-1          -0
+  YNYY  ppStac         	rel-0-1          -0
+  YYYY  PS-IPP-Metadata-Config rel-1-0   -0
+  YYYY  PS-IPP-Config  	rel-1-0          -0
+  YYYY  ippScripts     	rel-1-0          -0
+  YYYY  glueforge      	rel-1-0          -0
+  YYYY  dbconfig       	rel-1-0          -0
+  NYNN  ippdb.src      			      
+  YYYY  ippconfig      	rel-1-0          -0
+  YYYY  ippTools       	rel-1-0          -0
+  YYYY  ippTasks       	rel-1-0          -0
+  YYYY  simtest        	rel-0-8          -0
+  YNYY  psconfig       	rel-1-0          -0
+  YNYY  ippMonitor     	rel-1-0          -0
+
+# there are externally required perl modules (see README?)
Index: unk/psconfig/tagsets/ipp-1.0.dst
===================================================================
--- /trunk/psconfig/tagsets/ipp-1.0.dst	(revision 12141)
+++ 	(revision )
@@ -1,53 +1,0 @@
-# necessary fields:                    
-# |-- tag?
-# ||-- build?
-# |||-- package? 
-# ||||-- update?
-# ||||
-# ||||  CVS module     CVS branch tag   CVS branch version   
-# |||| 
-  NYNN  Ohana
-  NNYY  ohana.base     	base-1-5         -0
-  NNYY  libohana       	libohana-1-9     -0
-  NNYY  libfits        	libfits-1-7      -0
-  NNYY  libautocode    	libautocode-1-6  -0
-  NNYY  libdvo         	libdvo-1-4       -0
-  NNYY  libkapa        	libkapa-1-3      -0
-  NNYY  addstar        	addstar-1-8      -0
-  NNYY  delstar        	delstar-1-7      -0
-  NNYY  getstar        	getstar-1-3      -0
-  NNYY  kapa           	kapa-1-7         -0
-  NNYY  kii            	kii-1-7          -0
-  NNYY  relphot        	relphot-1-5      -0
-  NNYY  uniphot        	uniphot-1-5      -0
-  NNYY  opihi.base     	opihi-2-9        -0
-  NNYY  mana           	mana-1-7         -0
-  NNYY  dvo            	dvo-1-0          -0
-  NNYY  pantasks       	pantasks-1-0     -0
-  NNYY  pcontrol       	pcontrol-1-0     -0
-  NNYY  pclient        	pclient-1-0      -0
-  NYYY  psLib          	rel-1-0          -0
-  NYYY  psModules      	rel-1-0          -0
-  YYYY  psphot         	rel-0-8          -0
-  YYYY  psastro        	rel-0-8          -0
-  YYYY  ppStats        	rel-1-0          -0
-  YYYY  ppImage        	rel-1-0          -0
-  YYYY  ppNorm         	rel-1-0          -0
-  YYYY  ppMerge        	rel-1-0          -0
-  YNYY  pois           	rel-0-1          -0
-  YNYY  pswarp         	rel-0-1          -0
-  YNYY  ppStac         	rel-0-1          -0
-  YYYY  PS-IPP-Metadata-Config rel-1-0   -0
-  YYYY  PS-IPP-Config  	rel-1-0          -0
-  YYYY  ippScripts     	rel-1-0          -0
-  YYYY  glueforge      	rel-1-0          -0
-  YYYY  dbconfig       	rel-1-0          -0
-  NYNN  ippdb.src      			      
-  YYYY  ippconfig      	rel-1-0          -0
-  YYYY  ippTools       	rel-1-0          -0
-  YYYY  ippTasks       	rel-1-0          -0
-  YYYY  simtest        	rel-0-8          -0
-  YNYY  psconfig       	rel-1-0          -0
-  YNYY  ippMonitor     	rel-1-0          -0
-
-# there are externally required perl modules (see README?)
Index: /trunk/psconfig/tagsets/ipp-1.0.perl
===================================================================
--- /trunk/psconfig/tagsets/ipp-1.0.perl	(revision 12142)
+++ /trunk/psconfig/tagsets/ipp-1.0.perl	(revision 12142)
@@ -0,0 +1,59 @@
+# NN    Name                           Tarball                                Optional Responses
+  00    Module::Build                  Module-Build-0.2806.tar.gz                
+  01    ExtUtils::MakeMaker            ExtUtils-MakeMaker-6.31.tar.gz            
+  02    Params::Validate               Params-Validate-0.87.tar.gz               
+  03    DateTime::TimeZone             DateTime-TimeZone-0.59.tar.gz             
+  04    DateTime::Locale               DateTime-Locale-0.33.tar.gz               
+  05    Time::Local                    Time-Local-1.17.tar.gz                    
+  06    DateTime                       DateTime-0.36.tar.gz                      
+  07    MIME::Base64                   MIME-Base64-3.07.tar.gz                   
+  08    IO::Compress::Base             IO-Compress-Base-2.003.tar.gz             
+  09    Compress::Raw::Zlib            Compress-Raw-Zlib-2.003.tar.gz            
+  10    Class::Factory::Util           Class-Factory-Util-1.6.tar.gz             
+  11    DateTime::Format::Strptime     DateTime-Format-Strptime-1.0700.tar.gz    
+  12    Net::Domain::TLD               Net-Domain-TLD-1.65.tar.gz                
+  13    Sub::Uplevel                   Sub-Uplevel-0.14.tar.gz                   
+  14    HTML::Tagset                   HTML-Tagset-3.10.tar.gz                   
+  15    Digest                         Digest-1.15.tar.gz                        
+  16    IO::Compress::Zlib::Extra      IO-Compress-Zlib-2.003.tar.gz             
+  17    version                        version-0.70.tar.gz
+  18    Text::Balanced                 Text-Balanced-v2.0.0.tar.gz               
+  19    DateTime::Format::Builder      DateTime-Format-Builder-0.7807.tar.gz     
+  20    ExtUtils::Manifest             ExtUtils-Manifest-1.51.tar.gz             
+  21    URI                            URI-1.35.tar.gz                           
+  22    Data::Validate::Domain         Data-Validate-Domain-0.05.tar.gz          
+  23    Test::Exception                Test-Exception-0.24.tar.gz                
+  24    Tree::DAG_Node                 Tree-DAG_Node-1.05.tar.gz                 
+  25    Array::Compare                 Array-Compare-1.13.tar.gz                 
+  26    HTML::Parser                   HTML-Parser-3.56.tar.gz                   
+  27    Digest::MD5                    Digest-MD5-2.36.tar.gz                    
+  28    Net::FTP                       libnet-1.19.tar.gz                        
+  29    Compress::Zlib                 Compress-Zlib-2.003.tar.gz                
+  30    Locale::Maketext::Simple       Locale-Maketext-Simple-0.18.tar.gz        
+  31    Parse::RecDescent              Parse-RecDescent-1.94.tar.gz              
+  32    Class::Accessor                Class-Accessor-0.30.tar.gz                
+  33    DateTime::Format::ISO8601      DateTime-Format-ISO8601-0.0403.tar.gz     
+  34    CGI                            CGI.pm-3.25.tar.gz                        
+  35    Test::Cmd                      Test-Cmd-1.05.tar.gz                      
+  36    Net::HTTPServer                Net-HTTPServer-1.1.1.tar.gz               
+  37    LWP                            libwww-perl-5.805.tar.gz             
+  38    Digest::MD5::File              Digest-MD5-File-0.05.tar.gz               
+  39    File::Temp                     File-Temp-0.18.tar.gz                     
+  40    Data::Validate::URI            Data-Validate-URI-0.01.tar.gz             
+  41    Test::Warn                     Test-Warn-0.08.tar.gz                     
+  42    YAML                           YAML-0.62.tar.gz                          y
+  43    Module::Load                   Module-Load-0.10.tar.gz                   
+  44    Params::Check                  Params-Check-0.25.tar.gz                  
+  45    Template                       Template-Toolkit-2.16.tar.gz              n,n
+  46    Statistics::Descriptive        Statistics-Descriptive-2.6.tar.gz         
+  47    Storable                       Storable-2.15.tar.gz                      
+  48    IO::String                     IO-String-1.08.tar.gz                     
+  49    Date::Parse                    TimeDate-1.16.tar.gz                      
+  50    Digest::SHA1                   Digest-SHA1-2.11.tar.gz                   
+  51    DB_File                        DB_File-1.814.tar.gz                      
+  52    File::NFSLock                  File-NFSLock-1.20.tar.gz                  
+  53    Heap                           Heap-0.71.tar.gz                          
+  54    Module::Load::Conditional      Module-Load-Conditional-0.16.tar.gz       
+  55    IPC::Run                       IPC-Run-0.80.tar.gz                       
+  56    Cache                          Cache-2.04.tar.gz                         
+  57    IPC::Cmd                       IPC-Cmd-0.36.tar.gz                       
Index: unk/psconfig/tagsets/ipp-extperl.dst
===================================================================
--- /trunk/psconfig/tagsets/ipp-extperl.dst	(revision 12141)
+++ 	(revision )
@@ -1,59 +1,0 @@
-# NN    Name                           Tarball                                Optional Responses
-  00    Module::Build                  Module-Build-0.2806.tar.gz                
-  01    ExtUtils::MakeMaker            ExtUtils-MakeMaker-6.31.tar.gz            
-  02    Params::Validate               Params-Validate-0.87.tar.gz               
-  03    DateTime::TimeZone             DateTime-TimeZone-0.59.tar.gz             
-  04    DateTime::Locale               DateTime-Locale-0.33.tar.gz               
-  05    Time::Local                    Time-Local-1.17.tar.gz                    
-  06    DateTime                       DateTime-0.36.tar.gz                      
-  07    MIME::Base64                   MIME-Base64-3.07.tar.gz                   
-  08    IO::Compress::Base             IO-Compress-Base-2.003.tar.gz             
-  09    Compress::Raw::Zlib            Compress-Raw-Zlib-2.003.tar.gz            
-  10    Class::Factory::Util           Class-Factory-Util-1.6.tar.gz             
-  11    DateTime::Format::Strptime     DateTime-Format-Strptime-1.0700.tar.gz    
-  12    Net::Domain::TLD               Net-Domain-TLD-1.65.tar.gz                
-  13    Sub::Uplevel                   Sub-Uplevel-0.14.tar.gz                   
-  14    HTML::Tagset                   HTML-Tagset-3.10.tar.gz                   
-  15    Digest                         Digest-1.15.tar.gz                        
-  16    IO::Compress::Zlib::Extra      IO-Compress-Zlib-2.003.tar.gz             
-  17    version                        version-0.70.tar.gz
-  18    Text::Balanced                 Text-Balanced-v2.0.0.tar.gz               
-  19    DateTime::Format::Builder      DateTime-Format-Builder-0.7807.tar.gz     
-  20    ExtUtils::Manifest             ExtUtils-Manifest-1.51.tar.gz             
-  21    URI                            URI-1.35.tar.gz                           
-  22    Data::Validate::Domain         Data-Validate-Domain-0.05.tar.gz          
-  23    Test::Exception                Test-Exception-0.24.tar.gz                
-  24    Tree::DAG_Node                 Tree-DAG_Node-1.05.tar.gz                 
-  25    Array::Compare                 Array-Compare-1.13.tar.gz                 
-  26    HTML::Parser                   HTML-Parser-3.56.tar.gz                   
-  27    Digest::MD5                    Digest-MD5-2.36.tar.gz                    
-  28    Net::FTP                       libnet-1.19.tar.gz                        
-  29    Compress::Zlib                 Compress-Zlib-2.003.tar.gz                
-  30    Locale::Maketext::Simple       Locale-Maketext-Simple-0.18.tar.gz        
-  31    Parse::RecDescent              Parse-RecDescent-1.94.tar.gz              
-  32    Class::Accessor                Class-Accessor-0.30.tar.gz                
-  33    DateTime::Format::ISO8601      DateTime-Format-ISO8601-0.0403.tar.gz     
-  34    CGI                            CGI.pm-3.25.tar.gz                        
-  35    Test::Cmd                      Test-Cmd-1.05.tar.gz                      
-  36    Net::HTTPServer                Net-HTTPServer-1.1.1.tar.gz               
-  37    LWP                            libwww-perl-5.805.tar.gz             
-  38    Digest::MD5::File              Digest-MD5-File-0.05.tar.gz               
-  39    File::Temp                     File-Temp-0.18.tar.gz                     
-  40    Data::Validate::URI            Data-Validate-URI-0.01.tar.gz             
-  41    Test::Warn                     Test-Warn-0.08.tar.gz                     
-  42    YAML                           YAML-0.62.tar.gz                          y
-  43    Module::Load                   Module-Load-0.10.tar.gz                   
-  44    Params::Check                  Params-Check-0.25.tar.gz                  
-  45    Template                       Template-Toolkit-2.16.tar.gz              n,n
-  46    Statistics::Descriptive        Statistics-Descriptive-2.6.tar.gz         
-  47    Storable                       Storable-2.15.tar.gz                      
-  48    IO::String                     IO-String-1.08.tar.gz                     
-  49    Date::Parse                    TimeDate-1.16.tar.gz                      
-  50    Digest::SHA1                   Digest-SHA1-2.11.tar.gz                   
-  51    DB_File                        DB_File-1.814.tar.gz                      
-  52    File::NFSLock                  File-NFSLock-1.20.tar.gz                  
-  53    Heap                           Heap-0.71.tar.gz                          
-  54    Module::Load::Conditional      Module-Load-Conditional-0.16.tar.gz       
-  55    IPC::Run                       IPC-Run-0.80.tar.gz                       
-  56    Cache                          Cache-2.04.tar.gz                         
-  57    IPC::Cmd                       IPC-Cmd-0.36.tar.gz                       
